Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class PrivilegeTable

    java.lang.Object
      netscape.security.PrivilegeTable

    public final class PrivilegeTable

extends java.lang.Object

Constructor Summary
`PrivilegeTable()`

Method Summary
`void` | `clear()`
`java.lang.Object` | `clone()`
`java.util.Enumeration` | `elements()`
`Privilege` | `get(java.lang.Object obj)`
`Privilege` | `get(Target t)`
`boolean` | `isEmpty()`
`java.util.Enumeration` | `keys()`
`Privilege` | `put(java.lang.Object key, Privilege priv)`
`Privilege` | `put(Target key, Privilege priv)`
`Privilege` | `remove(java.lang.Object key)`
`Privilege` | `remove(Target key)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrivilegeTable

    public PrivilegeTable()

Method Detail

### size

    public int size()

### isEmpty

    public boolean isEmpty()

### keys

    public java.util.Enumeration keys()

### elements

    public java.util.Enumeration elements()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### get

    public Privilege get(java.lang.Object obj)

### get

    public Privilege get(Target t)

### put

    public Privilege put(java.lang.Object key,
                         Privilege priv)

### put

    public Privilege put(Target key,
                         Privilege priv)

### remove

    public Privilege remove(java.lang.Object key)

### remove

    public Privilege remove(Target key)

### clear

    public void clear()

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD